64 bit VM build problems: gl.h not found, or glRenderer conflicts

Previous Topic Next Topic
 
classic Classic list List threaded Threaded
5 messages Options
Reply | Threaded
Open this post in threaded view
|

64 bit VM build problems: gl.h not found, or glRenderer conflicts

Alistair Grant
Hi,

I'm attempting to build the 64 bit VM in a docker container on Ubuntu
16.04 installing the required packages using
opensmalltalk-vm/.travis_install.sh, however B3DAcceleratorPlugin
fails to build because it can't find gl.h.

Installing mesa-common-dev (which is the most common answer when
searching for missing gl.h on google) changes the error to glRenderer
is redefined and has conflicting types.

Does anyone know what the correct combination of packages is?

Thanks!
Alistair

Reply | Threaded
Open this post in threaded view
|

Re: 64 bit VM build problems: gl.h not found, or glRenderer conflicts

K K Subbu
On Ubuntu 16.04, I had to use:

  sudo apt-get install uuid-dev libcairo2-dev libpango1.0-dev
libgl1-mesa-dev libgl1-mesa-glx

to get all dependencies. This was sometime ago and the change should
have made it to build.linux64x64/HowToBuild by now.

What exactly is your error message?

Regards .. Subbu

On Friday 26 January 2018 01:24 AM, Alistair Grant wrote:

> Hi,
>
> I'm attempting to build the 64bit VM in a docker container on Ubuntu
> 16.04 installing the required packages using
> opensmalltalk-vm/.travis_install.sh, however B3DAcceleratorPlugin
> fails to build because it can't find gl.h.
>
> Installing mesa-common-dev (which is the most common answer when
> searching for missing gl.h on google) changes the error to glRenderer
> is redefined and has conflicting types.
>
> Does anyone know what the correct combination of packages is?
>
> Thanks!
> Alistair
>


Reply | Threaded
Open this post in threaded view
|

Re: 64 bit VM build problems: gl.h not found, or glRenderer conflicts

Eliot Miranda-2
In reply to this post by Alistair Grant
Hi Alistair,


> On Jan 25, 2018, at 11:54 AM, Alistair Grant <[hidden email]> wrote:
>
> Hi,
>
> I'm attempting to build the 64 bit VM in a docker container on Ubuntu
> 16.04 installing the required packages using
> opensmalltalk-vm/.travis_install.sh, however B3DAcceleratorPlugin
> fails to build because it can't find gl.h.
>
> Installing mesa-common-dev (which is the most common answer when
> searching for missing gl.h on google) changes the error to glRenderer
> is redefined and has conflicting types.
>
> Does anyone know what the correct combination of packages is?

The information is supposed to be towards the bottom of build.linux64x64 so if it's missing and you find it please remember to add it there.

>
> Thanks!
> Alistair
>

Reply | Threaded
Open this post in threaded view
|

Re: 64 bit VM build problems: gl.h not found, or glRenderer conflicts

Eliot Miranda-2
In reply to this post by K K Subbu


> On Jan 26, 2018, at 3:00 AM, K K Subbu <[hidden email]> wrote:
>
> On Ubuntu 16.04, I had to use:
>
> sudo apt-get install uuid-dev libcairo2-dev libpango1.0-dev libgl1-mesa-dev libgl1-mesa-glx
>
> to get all dependencies. This was sometime ago and the change should have made it to build.linux64x64/HowToBuild by now.

Thanks Subbu.  Ignore my earlier message. Should have read you response first :-)

>
> What exactly is your error message?
>
> Regards .. Subbu
>
>> On Friday 26 January 2018 01:24 AM, Alistair Grant wrote:
>> Hi,
>> I'm attempting to build the 64bit VM in a docker container on Ubuntu
>> 16.04 installing the required packages using
>> opensmalltalk-vm/.travis_install.sh, however B3DAcceleratorPlugin
>> fails to build because it can't find gl.h.
>> Installing mesa-common-dev (which is the most common answer when
>> searching for missing gl.h on google) changes the error to glRenderer
>> is redefined and has conflicting types.
>> Does anyone know what the correct combination of packages is?
>> Thanks!
>> Alistair
>
>

Reply | Threaded
Open this post in threaded view
|

Re: 64 bit VM build problems: gl.h not found, or glRenderer conflicts

Alistair Grant
Hi Subbu & Eliot,

Thanks for your replies.  They've made me realise that I'm looking in
the wrong spot, so I'll take another look before asking any more
questions.  I'm also travelling tomorrow, so will be without internet
for 3 or 4 days.

Thanks again,
Alistair


On 26 January 2018 at 15:48, Eliot Miranda <[hidden email]> wrote:

>
>
>> On Jan 26, 2018, at 3:00 AM, K K Subbu <[hidden email]> wrote:
>>
>> On Ubuntu 16.04, I had to use:
>>
>> sudo apt-get install uuid-dev libcairo2-dev libpango1.0-dev libgl1-mesa-dev libgl1-mesa-glx
>>
>> to get all dependencies. This was sometime ago and the change should have made it to build.linux64x64/HowToBuild by now.
>
> Thanks Subbu.  Ignore my earlier message. Should have read you response first :-)
>
>>
>> What exactly is your error message?
>>
>> Regards .. Subbu
>>
>>> On Friday 26 January 2018 01:24 AM, Alistair Grant wrote:
>>> Hi,
>>> I'm attempting to build the 64bit VM in a docker container on Ubuntu
>>> 16.04 installing the required packages using
>>> opensmalltalk-vm/.travis_install.sh, however B3DAcceleratorPlugin
>>> fails to build because it can't find gl.h.
>>> Installing mesa-common-dev (which is the most common answer when
>>> searching for missing gl.h on google) changes the error to glRenderer
>>> is redefined and has conflicting types.
>>> Does anyone know what the correct combination of packages is?
>>> Thanks!
>>> Alistair
>>
>>
>